Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>	

Name:		libcgroup
#Epoch:		0
Version:	0.36.2
Release:	1
License:	GNU/GPLv2
URL:		http://libcg.sourceforge.net/
Group:		System/Base
Summary:	control group file system abstraction library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: flex-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pam-devel
BuildRequires: pkg-config


%description
libcgroup is a library that abstracts the control group file system in Linux. It comes with various command-line tools and configuration files, see their man pages for details.

Control groups, a new kernel feature in Linux 2.6.24 provides a file system interface to manipulate and control the details on task grouping including creation of new task groups (control groups), permission handling and task assignment. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix 

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/cgclassify
%{_bindir}/cgcreate
%{_bindir}/cgdelete
%{_bindir}/cgexec
%{_bindir}/cgget
%{_bindir}/cgset
%{_bindir}/lscgroup
%{_bindir}/lssubsys
%{_libdir}/libcgroup.so.*
%{_libdir}/security/pam_cgroup.so.*
%{_sbindir}/cgclear
%{_sbindir}/cgconfigparser
%{_sbindir}/cgrulesengd
%{_mandir}/man1/cgclassify.1.gz
%{_mandir}/man1/cgclear.1.gz
%{_mandir}/man1/cgcreate.1.gz
%{_mandir}/man1/cgdelete.1.gz
%{_mandir}/man1/cgexec.1.gz
%{_mandir}/man1/cgget.1.gz
%{_mandir}/man1/cgset.1.gz
%{_mandir}/man1/lscgroup.1.gz
%{_mandir}/man1/lssubsys.1.gz
%{_mandir}/man5/cgconfig.conf.5.gz
%{_mandir}/man5/cgred.conf.5.gz
%{_mandir}/man5/cgrules.conf.5.gz
%{_mandir}/man8/cgconfigparser.8.gz
%{_mandir}/man8/cgrulesengd.8.gz

%files devel
%defattr(-,root,root)
%{_includedir}/libcgroup/config.h
%{_includedir}/libcgroup/error.h
%{_includedir}/libcgroup/groups.h
%{_includedir}/libcgroup.h
%{_includedir}/libcgroup/init.h
%{_includedir}/libcgroup/iterators.h
%{_includedir}/libcgroup/tasks.h
%{_libdir}/libcgroup.la
%{_libdir}/libcgroup.so
%{_pkgconfig}/libcgroup.pc
%{_libdir}/security/pam_cgroup.la
%{_libdir}/security/pam_cgroup.so
%{_sbindir}/cgclear
%{_sbindir}/cgconfigparser
%{_sbindir}/cgrulesengd

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Mon Jul 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.36.2-1
- initial CCux package release
